Samstag, 19. Mai 2012

Montag, 14. Mai 2012

FF-lkcastle 0.1.0 (free app)

now available in the app store !

This app will teach you the basic rules the lords & knights MMOG. You can find more info about this app on the project site for FF-lkcastle.

Freitag, 9. März 2012

Ruby and Postgresql or what you can do in database.yml (part 1)

Database connections in ruby are defined within the database.yml file. Unfortunately this is not really documented because each adapter has its own options to support the underlying database.

First thing you should not forget: ruby does use libpg - so any feature that is not provided by this library will not work within ruby. At the other hand: if you can connect with psql to your database, chances are good, that you can do it with ruby too.

Here is a list of options you can use in database.yml if you are using postgresql adapter:

  • host
    this is the hostname of the server which runs the postgresql instance
  • hostaddr
    this is the same as host but name resolve is not used, use this for raw ip addresses
  • port
    the port of the postgresql instance
  • dbname
    name of postgresql database
  • user
    username (don't forget to configure pg_hba.conf so that this user is allowed to connect)
  • password
    password for the username
  • sslmode
    specify the sslmode of the connection:
    • disable only use allow unencryted connections
    • allow use unencrypted first and if that fails try ssl
    • prefer first try ssl first but use unencrypted if ssl does not work
    • require use ssl or fail connection
  • connect_timeout
    maximum wait for the connection (in seconds), specify 0 to wait indefinitely
  • krbsrvname
    the service name of the corresponding kerberos
  • gsslib
    GSS library to use for GSS API
  • service
    service which references pg_service.conf

You always use <parameter> : <value> format

If you want to use a SSL encrypted connection, you should add sslmode:require to your database stanza in database.yml.

Montag, 20. Februar 2012

FF-sispm 0.2.3

work on next update on FF-sispm had begun. Most changes will prepare the 0.3.0 release, mainly adding the bluetooth driver core will happen with the 0.2.3 update.

For more informations see the product page of FF-sispm.

Donnerstag, 26. Januar 2012

FF-pwgen 0.1.1 released

FF-pwgen 0.1.1 now available in the App Store. Complete Voice Over integration was added and new option which improve accessiblity. FF-pwgen now has german as second localization

Donnerstag, 5. Januar 2012

FF-pwgen now in app store

FF-pwgen is now available in the apple app store. This iphone app creates secure passwords for you which can withstand cracking as long as possible. You can calculate the entropy of your current password (how strong these passwords are).
Additionally you can create memorizable passwords (based on two large dictionaries) which are still very resistant against cracking apps.

Please see doc pages for more info.

Montag, 19. Dezember 2011

FF-sispm roadmap

In the app store comments, there was recently a request, that multiple devices should be supported. This and other features will part of an upcomming update. Currently the plan is:

  1. add blue tooth model to device support

  2. add german localization

  3. add system menubar item

  4. fix any outstanding issues

This will complete the base line features (which are free) and will be the last version which can run under 10.6 (snow leopard). After this work on 0.3.0 (some time within 1st quarter 2012) will be started. The following features will be made available by via in app purchases:

  • modifying the internal device scheduler (usb)

  • supporting multiple devices (usb)

  • modifying the internal device scheduler (bluetooth)

  • supporting multiple devices (bluetooth)

Note:There will be a limited time offer to order a complete feature set (which will include all 4 features above) for a very competitive price.
Because of in app purchases you will need mac os x lion (10.7) to run this application.